php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #61725 sphinx PECL module not reporting correct version
Submitted: 2012-04-13 16:19 UTC Modified: 2014-12-30 12:45 UTC
Votes:5
Avg. Score:3.2 ± 1.6
Reproduced:4 of 5 (80.0%)
Same Version:2 (50.0%)
Same OS:2 (50.0%)
From: rgudgeon at tripadvisor dot com Assigned: tony2001 (profile)
Status: Closed Package: sphinx (PECL)
PHP Version: 5.3.10 OS: RHEL Linux
Private report: No CVE-ID: None
 [2012-04-13 16:19 UTC] rgudgeon at tripadvisor dot com
Description:
------------
php_sphinx.h is still defining the version as 1.1.0 in 1.2.0:

#define PHP_SPHINX_VERSION "1.1.0" 

this means following an upgrade from 1.1.0 to 1.2.0, php -i still reports that 
version 1.1.0 is installed

Test script:
---------------
with sphinx-1.1.0 installed:

php -i | grep -A1 "sphinx support"
sphinx support => enabled
Version => 1.1.0

after an upgrade to sphinx-1.2.0:

php -i | grep -A1 "sphinx support"
sphinx support => enabled
Version => 1.1.0

Expected result:
----------------
expect it to display 1.2.0

php -i | grep -A1 "sphinx support"
sphinx support => enabled
Version => 1.2.0

Actual result:
--------------
php -i | grep -A1 "sphinx support"
sphinx support => enabled
Version => 1.1.0

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2012-04-13 17:42 UTC] sixd@php.net
-Type: Documentation Problem +Type: Bug
 [2012-06-12 19:09 UTC] felipe@php.net
-Status: Open +Status: Assigned -Assigned To: +Assigned To: tony2001
 [2014-12-30 12:45 UTC] tony2001@php.net
-Status: Assigned +Status: Closed
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Tue Nov 30 03:03:16 2021 UTC